{% extends 'id/id_base.html' %}
{% load static %}


{% block content %}
    <section>
        <div class="spacer no-spacer">
            <div class="shadow p-30">
                <div class="text-center mb-5">
                    <img class="img-fluid mb-2" src="{% static 'images/common/logos/logo-blue.png' %}" width="100"/>
                    <div class="h3 c-blue">
                        Pulihkan Akun
                    </div>
                </div>
                <form action="{% url 'backend:recovery' %}?token={{ token }}" method="post">
                    {% csrf_token %}
                    <div class="row g-3">
                        <div class="col-md-12">
                            <label for="password" class="form-label">
                                Kata Sandi Baru <span class="c-red">*</span>
                            </label>
                            <div class="input-group mb-3">
                                <input type="password" class="form-control" name="password" id="password" required>
                                <span id="password_icon" class="input-group-text">
                                    <i class="bi bi-eye"></i>
                                </span>
                                <div id="password_feedback" class="feedback"></div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <label for="confirm_password" class="form-label">
                                Konfirmasi Kata Sandi <span class="c-red">*</span>
                            </label>
                            <div class="input-group mb-3">
                                <input type="password" class="form-control" name="confirm_password"
                                       id="confirm_password" required>
                                <span id="confirm_password_icon" class="input-group-text">
                                    <i class="bi bi-eye"></i>
                                </span>
                                <div id="confirm_password_feedback" class="feedback"></div>
                            </div>
                        </div>
                        <div class="col-md-12 text-center mt-5">
                            <button id="submit" type="submit" class="btn btn-primary">
                                Perbarui Kata Sandi
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
{% endblock %}

{% block js %}
    <script type="text/javascript">
        $(document).ready(function () {
            let password = $('#password');
            let passwordFeedback = $('#password_feedback');
            let confirmPassword = $('#confirm_password');
            let confirmPasswordFeedback = $('#confirm_password_feedback');

            function checkPassword(str) {
                let re = /^(?=.*[A-Z])(?=.*[!@#$%^&*])[a-zA-Z0-9!@#$%^&*]{8,}$/;
                return re.test(str);
            }

            function feedbackSuccess(element, elementFeedback, text) {
                element.removeClass('bd-red').addClass('bd-green');
                element.removeClass('is-invalid').addClass('is-valid');
                elementFeedback.removeClass('c-red').addClass('c-green');
                elementFeedback.text(text);
            }

            function feedbackError(element, elementFeedback, text) {
                element.removeClass('bd-green').addClass('bd-red');
                element.removeClass('is-valid').addClass('is-invalid');
                elementFeedback.removeClass('c-green').addClass('c-red');
                elementFeedback.text(text);
            }

            let passwords = $('#password,#confirm_password');
            passwords.keyup(function () {
                let passwordVal = password.val();
                let confirmPasswordVal = confirmPassword.val();
                let match = passwordVal === confirmPasswordVal;
                let valid = checkPassword(passwordVal);

                if (!valid) {
                    feedbackError(password, passwordFeedback, 'Harus minimal 8 karakter, 1 huruf besar, dan 1 karakter khusus');
                } else {
                    feedbackSuccess(password, passwordFeedback, '')
                }

                if (!match || confirmPasswordVal.length === 0) {
                    feedbackError(confirmPassword, confirmPasswordFeedback, 'Invalid password');
                } else {
                    feedbackSuccess(confirmPassword, confirmPasswordFeedback, '')
                }
            })

            let passwordIcon = $('#password_icon,#confirm_password_icon');
            passwordIcon.click(function () {
                let inputPassword = $(this).siblings().first();
                let inputPasswordType = inputPassword.attr('type');

                if (inputPasswordType === 'text') {
                    inputPassword.attr('type', 'password');
                    $(":first-child", $(this)).removeClass('bi-eye-slash').addClass('bi-eye');
                } else {
                    inputPassword.attr('type', 'text');
                    $(":first-child", $(this)).removeClass('bi-eye').addClass('bi-eye-slash');
                }
            });
        });
    </script>
{% endblock %}